summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-04-08 01:05:20 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-04-08 01:05:20 +0000
commit1ea731419860ef82dc48d34f1deb742af455c56c (patch)
tree545e6d16c98f1107be73fa0c5d5c0fdcf6919837 /dev-python
parentc718f77e1615b990cc014e68e43e24a55411a3b8 (diff)
downloadbaldeagleos-repo-1ea731419860ef82dc48d34f1deb742af455c56c.tar.gz
baldeagleos-repo-1ea731419860ef82dc48d34f1deb742af455c56c.tar.xz
baldeagleos-repo-1ea731419860ef82dc48d34f1deb742af455c56c.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Babel/Babel-2.12.1.ebuild4
-rw-r--r--dev-python/Babel/files/Babel-2.12.1-dst-test.patch46
-rw-r--r--dev-python/calver/calver-2022.06.26.ebuild2
-rw-r--r--dev-python/cvxopt/Manifest2
-rw-r--r--dev-python/cvxopt/cvxopt-1.3.0.ebuild2
-rw-r--r--dev-python/flatdict/Manifest1
-rw-r--r--dev-python/flatdict/flatdict-4.0.0.ebuild25
-rw-r--r--dev-python/flatdict/metadata.xml11
-rw-r--r--dev-python/hatchling/hatchling-1.14.0.ebuild2
-rw-r--r--dev-python/jupyterlab-server/Manifest1
-rw-r--r--dev-python/jupyterlab-server/jupyterlab-server-2.22.0.ebuild69
-rw-r--r--dev-python/jupyterlab/Manifest1
-rw-r--r--dev-python/jupyterlab/jupyterlab-3.6.3.ebuild81
-rw-r--r--dev-python/ovs/Manifest1
-rw-r--r--dev-python/ovs/ovs-2.13.3.ebuild19
-rw-r--r--dev-python/python-gnupg/python-gnupg-0.5.0.ebuild2
-rw-r--r--dev-python/spotipy/Manifest1
-rw-r--r--dev-python/spotipy/spotipy-2.23.0.ebuild51
-rw-r--r--dev-python/sqlalchemy/Manifest1
-rw-r--r--dev-python/sqlalchemy/sqlalchemy-2.0.9.ebuild107
-rw-r--r--dev-python/trove-classifiers/trove-classifiers-2023.3.9.ebuild2
21 files changed, 405 insertions, 26 deletions
diff --git a/dev-python/Babel/Babel-2.12.1.ebuild b/dev-python/Babel/Babel-2.12.1.ebuild
index 5442fbf51aee..f1dead2c0f12 100644
--- a/dev-python/Babel/Babel-2.12.1.ebuild
+++ b/dev-python/Babel/Babel-2.12.1.ebuild
@@ -44,6 +44,10 @@ distutils_enable_sphinx docs
distutils_enable_tests pytest
src_prepare() {
+ local PATCHES=(
+ "${FILESDIR}/${P}-dst-test.patch"
+ )
+
rm babel/locale-data/*.dat || die
rm babel/global.dat || die
distutils-r1_src_prepare
diff --git a/dev-python/Babel/files/Babel-2.12.1-dst-test.patch b/dev-python/Babel/files/Babel-2.12.1-dst-test.patch
new file mode 100644
index 000000000000..2a732854e7b1
--- /dev/null
+++ b/dev-python/Babel/files/Babel-2.12.1-dst-test.patch
@@ -0,0 +1,46 @@
+From 641f58c9951d9f5746cd63743dd337f1340d7bff Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Fri, 7 Apr 2023 14:51:10 +0000
+Subject: [PATCH] Freeze format_time() tests to a specific date to fix test
+ failures
+
+Freeze the date when performing the tests for format_time() with
+a timezone specified. Since the time object does not specify a date,
+the formatter uses the format string specific to the current date.
+As a result, if the current DST state is different than when the test
+was last updated, it failed.
+
+This fix covers only regular tests. I have no idea how to do the same
+for doctests.
+
+Issue #988
+---
+ tests/test_dates.py | 11 ++++++-----
+ 1 file changed, 6 insertions(+), 5 deletions(-)
+
+diff --git a/tests/test_dates.py b/tests/test_dates.py
+index b94c710..3f1fc3f 100644
+--- a/tests/test_dates.py
++++ b/tests/test_dates.py
+@@ -601,12 +601,13 @@ def test_format_time(timezone_getter):
+ custom = dates.format_time(t, "hh 'o''clock' a, zzzz", tzinfo=eastern, locale='en')
+ assert custom == "09 o'clock AM, Eastern Daylight Time"
+
+- t = time(15, 30)
+- paris = dates.format_time(t, format='full', tzinfo=paris, locale='fr_FR')
+- assert paris == '15:30:00 heure normale d’Europe centrale'
++ with freezegun.freeze_time("2023-01-01"):
++ t = time(15, 30)
++ paris = dates.format_time(t, format='full', tzinfo=paris, locale='fr_FR')
++ assert paris == '15:30:00 heure normale d’Europe centrale'
+
+- us_east = dates.format_time(t, format='full', tzinfo=eastern, locale='en_US')
+- assert us_east == '3:30:00\u202fPM Eastern Standard Time'
++ us_east = dates.format_time(t, format='full', tzinfo=eastern, locale='en_US')
++ assert us_east == '3:30:00\u202fPM Eastern Standard Time'
+
+
+ def test_format_skeleton(timezone_getter):
+--
+2.40.0
+
diff --git a/dev-python/calver/calver-2022.06.26.ebuild b/dev-python/calver/calver-2022.06.26.ebuild
index e024e4b3b152..60bda07c6dd6 100644
--- a/dev-python/calver/calver-2022.06.26.ebuild
+++ b/dev-python/calver/calver-2022.06.26.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~sparc ~x86"
BDEPEND="
test? (
diff --git a/dev-python/cvxopt/Manifest b/dev-python/cvxopt/Manifest
index e843c7e84c72..5f22377a8027 100644
--- a/dev-python/cvxopt/Manifest
+++ b/dev-python/cvxopt/Manifest
@@ -1 +1 @@
-DIST cvxopt-1.3.0.tar.gz 4120085 BLAKE2B f4cb23146897d3f4b24e0fc4d59bd89e2c5b49c83aecdbec02297abbea8a16ecab85a02e9c187debbf3a03cc62e4c46128acefbec2af7ea20558e7fa1d1c0bd0 SHA512 b719100abb0b049765963dc4ca9f646b508a319b5f8390aa7a0578056d32a32573e195c136ffb907a57135e337887d2256c9a0883e63dad966dab43cad0bf58a
+DIST cvxopt-1.3.0.gh.tar.gz 4120085 BLAKE2B f4cb23146897d3f4b24e0fc4d59bd89e2c5b49c83aecdbec02297abbea8a16ecab85a02e9c187debbf3a03cc62e4c46128acefbec2af7ea20558e7fa1d1c0bd0 SHA512 b719100abb0b049765963dc4ca9f646b508a319b5f8390aa7a0578056d32a32573e195c136ffb907a57135e337887d2256c9a0883e63dad966dab43cad0bf58a
diff --git a/dev-python/cvxopt/cvxopt-1.3.0.ebuild b/dev-python/cvxopt/cvxopt-1.3.0.ebuild
index 254d86506f4b..9a665bd96220 100644
--- a/dev-python/cvxopt/cvxopt-1.3.0.ebuild
+++ b/dev-python/cvxopt/cvxopt-1.3.0.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="
"
SRC_URI="
https://github.com/${PN}/${PN}/archive/${PV}.tar.gz
- -> ${P}.tar.gz
+ -> ${P}.gh.tar.gz
"
LICENSE="GPL-3"
diff --git a/dev-python/flatdict/Manifest b/dev-python/flatdict/Manifest
new file mode 100644
index 000000000000..b2534e7d6697
--- /dev/null
+++ b/dev-python/flatdict/Manifest
@@ -0,0 +1 @@
+DIST flatdict-4.0.0.gh.tar.gz 11790 BLAKE2B be8234cc7e4378a2ab54e1676e947a664bde8c62c881ff9ba074e36f21d07bc726311f39acc2c1531ca689b68e398467222b616b2334cd44edc9972345ffde68 SHA512 e1203fb772594ee4b19fb137dbef0c1319ffacda28ffc53532707a03e5c1446d5449114588ef832fa46162a3d710579ed7405943ced65e08fd16bd956ef17ca4
diff --git a/dev-python/flatdict/flatdict-4.0.0.ebuild b/dev-python/flatdict/flatdict-4.0.0.ebuild
new file mode 100644
index 000000000000..98c468ea42ec
--- /dev/null
+++ b/dev-python/flatdict/flatdict-4.0.0.ebuild
@@ -0,0 +1,25 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python module for interacting with nested dicts"
+HOMEPAGE="
+ https://github.com/gmr/flatdict/
+ https://pypi.org/project/flatdict/
+"
+SRC_URI="
+ https://github.com/gmr/flatdict/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+distutils_enable_tests unittest
diff --git a/dev-python/flatdict/metadata.xml b/dev-python/flatdict/metadata.xml
new file mode 100644
index 000000000000..ea8988e8af6a
--- /dev/null
+++ b/dev-python/flatdict/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+
+ <origin>gentoo-staging</origin>
+ <stabilize-allarches/>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/hatchling/hatchling-1.14.0.ebuild b/dev-python/hatchling/hatchling-1.14.0.ebuild
index 7c746d11442f..c6a1cfb808f3 100644
--- a/dev-python/hatchling/hatchling-1.14.0.ebuild
+++ b/dev-python/hatchling/hatchling-1.14.0.ebuild
@@ -24,7 +24,7 @@ S=${WORKDIR}/${MY_P}/backend
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~sparc ~x86"
# deps are listed in backend/src/hatchling/ouroboros.py
RDEPEND="
diff --git a/dev-python/jupyterlab-server/Manifest b/dev-python/jupyterlab-server/Manifest
index 01ef8c4e4a05..5e9b0e70251a 100644
--- a/dev-python/jupyterlab-server/Manifest
+++ b/dev-python/jupyterlab-server/Manifest
@@ -1,2 +1,3 @@
DIST jupyterlab_server-2.20.0.tar.gz 70481 BLAKE2B 188b8a9bd2bfc5a27ce6f8488d7768484fd71ae8bb93f28c8a49f63b1aef13551c55d7e18531830df26617883f6b780a491d3522a0dcb3ecddcc433cfb35f97b SHA512 7d9a86f56686344ffc1ad11a9fc7c736a2ac0e6b8c31f8b6d8e35e5fd982454b2362073038dfc2ed3a4f03ef53e2afcaa33fc2c956b63e44c3d1ae6efa1f9251
DIST jupyterlab_server-2.21.0.tar.gz 70965 BLAKE2B bb959d2c5a507ac6ad2ed719e86a68590c51df51a126f8a44195c48ccb9a295ca0930d0c106cc9f753b3032aca4002d4edadf31f24602d22bf9d3be3eabe2fdb SHA512 c3180983e6db932a4f243e977aaa0d7e7daed34788ba3a51d1414c5b625008ec524e0bf96a559bd85279146f9bd02c31eb2ac3451c40edba1751ed695c7c0791
+DIST jupyterlab_server-2.22.0.tar.gz 71374 BLAKE2B da27d6fb6d22db4aacd4c6c7a96ca748c5ba95d6b357fb45aa3383642b23bff7b61298eb01b8a80073080248e06fae35e04b1a7e4144018e84a6b548937ad0e6 SHA512 96484afe03a23f4aa6492b15e64b3f874b144af371d65c94693b708f9152e2762f98f0dea2b7464f8240740f4be56b2cd61a8869ef001521bbb4748dd0fc7005
diff --git a/dev-python/jupyterlab-server/jupyterlab-server-2.22.0.ebuild b/dev-python/jupyterlab-server/jupyterlab-server-2.22.0.ebuild
new file mode 100644
index 000000000000..43f81d54f396
--- /dev/null
+++ b/dev-python/jupyterlab-server/jupyterlab-server-2.22.0.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+DISTUTILS_USE_PEP517=hatchling
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Server components for JupyterLab and JupyterLab like applications"
+HOMEPAGE="
+ https://jupyter.org/
+ https://github.com/jupyterlab/jupyterlab_server/
+ https://pypi.org/project/jupyterlab-server/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/Babel-2.10[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.0.3[${PYTHON_USEDEP}]
+ >=dev-python/json5-0.9.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0.1[${PYTHON_USEDEP}]
+ >=dev-python/packaging-21.3[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.28[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-server-1.21[${PYTHON_USEDEP}]
+ <dev-python/jupyter-server-3[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/importlib_metadata-4.8.3[${PYTHON_USEDEP}]
+ ' 3.9)
+"
+
+BDEPEND="
+ test? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/jupyter-server[${PYTHON_USEDEP}]
+ <dev-python/openapi-core-0.17[${PYTHON_USEDEP}]
+ >=dev-python/openapi-core-0.16.1[${PYTHON_USEDEP}]
+ <dev-python/openapi-spec-validator-0.6[${PYTHON_USEDEP}]
+ >=dev-python/openapi-spec-validator-0.5.1[${PYTHON_USEDEP}]
+ dev-python/pytest-jupyter[${PYTHON_USEDEP}]
+ dev-python/pytest-tornasync[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+ dev-python/strict-rfc3339[${PYTHON_USEDEP}]
+ dev-python/requests-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+# TODO: package autodoc_traits
+#distutils_enable_sphinx docs/source dev-python/pydata-sphinx-theme dev-python/myst-parser
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ tests/test_translation_api.py
+ )
+
+ EPYTEST_DESELECT=(
+ # Fails if terminal not available
+ tests/test_labapp.py::test_page_config
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p pytest_tornasync.plugin
+}
diff --git a/dev-python/jupyterlab/Manifest b/dev-python/jupyterlab/Manifest
index 0b6da7129920..74f5343962ea 100644
--- a/dev-python/jupyterlab/Manifest
+++ b/dev-python/jupyterlab/Manifest
@@ -1,3 +1,4 @@
DIST jupyterlab-3.5.3.tar.gz 17114007 BLAKE2B 70d32721a2579331dd4e3481f7241f5e2c5aad6dac851f213de0ac1fc3b76667bea496bca5ea13ee562e9678d51ac45df91c5901d8d3b7dc839977d3d842e67d SHA512 fdacd34ab629da2b5c2eb23f11ba4d44d5b27872e1736850319bcabbe635d31cfa2891c1c5991b152a5c1d94221e3766a20fc91033f556d8e508374bc46d5fe2
DIST jupyterlab-3.6.1.tar.gz 16845937 BLAKE2B 41c50a9ddefc0ec97c70843e15107d3e3cebfadea2ec148e4536407b0f1b202c2aeace794b02c7cb666c316434da614c1bfebab5e5fc7e654f62677bac6e1eb3 SHA512 9dc63162955c13721c97d620a60116cd75bf10eca9c8eab08ae35749bf2dfec84c55759a361ca1abab34c44d63eded95748cfea589aff98907045b483d778413
DIST jupyterlab-3.6.2.tar.gz 16846937 BLAKE2B 1b443ace53a68903728aa781a0a0aa95a13193b63ce3101144945e41245dd7c00554abc6c75a48feafc677d83580705393cde1a4bffab0e09d2d5bf0d67e72e0 SHA512 8ca7956f6c78413a7aecb55cd60b3dfa8491afbe3b02d9ae5b038ba4dcc762daf78768349cb586775483e8dee39d5a062650d0fd156e12a85383543f836cfb38
+DIST jupyterlab-3.6.3.tar.gz 16847186 BLAKE2B 6916722469ab100a1a240b8a565c9800f35535b2a9b2c39a6bfd275b078d88df9faa1f12d4ce3819155af7b0ed22282836f9b233534bd3e63d8a330d1cd7cd21 SHA512 3d6b4781f9fab02504b2c0223a4d060d80c3442fa6ac53ae326296d69942d68f8545450f671f6ba65c7c4e218aad62ef4f4ceb658899c21aaff3640c3055d364
diff --git a/dev-python/jupyterlab/jupyterlab-3.6.3.ebuild b/dev-python/jupyterlab/jupyterlab-3.6.3.ebuild
new file mode 100644
index 000000000000..c4af5d1ebbe2
--- /dev/null
+++ b/dev-python/jupyterlab/jupyterlab-3.6.3.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+DISTUTILS_USE_PEP517=jupyter
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="JupyterLab computational environment"
+HOMEPAGE="
+ https://jupyter.org/
+ https://github.com/jupyterlab/jupyterlab/
+ https://pypi.org/project/jupyterlab/
+"
+
+LICENSE="BSD MIT GPL-3 Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/ipython[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/jupyter-core[${PYTHON_USEDEP}]
+ >=dev-python/jupyterlab-server-2.19[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-server-1.16[${PYTHON_USEDEP}]
+ <dev-python/jupyter-server-3[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_ydoc-0.2.3[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-server-ydoc-0.8.0[${PYTHON_USEDEP}]
+ >=dev-python/nbclassic-0.2[${PYTHON_USEDEP}]
+ <dev-python/notebook-7[${PYTHON_USEDEP}]
+ >=dev-python/jinja-2.1[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.2[${PYTHON_USEDEP}]
+ dev-python/tomli[${PYTHON_USEDEP}]
+ net-libs/nodejs
+"
+
+BDEPEND="
+ test? (
+ dev-python/check-manifest[${PYTHON_USEDEP}]
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/openapi-core[${PYTHON_USEDEP}]
+ dev-python/openapi-spec-validator[${PYTHON_USEDEP}]
+ dev-python/pytest-console-scripts[${PYTHON_USEDEP}]
+ dev-python/pytest-jupyter[${PYTHON_USEDEP}]
+ dev-python/pytest-tornasync[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+ dev-python/requests-cache[${PYTHON_USEDEP}]
+ dev-python/strict-rfc3339[${PYTHON_USEDEP}]
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_DESELECT=(
+ # These tests call npm and want internet
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_uninstall_core_extension
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_install_and_uninstall_pinned_folder
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_install_and_uninstall_pinned
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_custom_minimal_core_config
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_custom
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_check
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build
+ jupyterlab/tests/test_build_api.py::TestBuildAPI::test_clear
+ jupyterlab/tests/test_build_api.py::TestBuildAPI::test_build
+)
+
+EPYTEST_IGNORE=(
+ jupyterlab/tests/test_announcements.py
+)
+
+distutils_enable_tests pytest
+# TODO: package sphinx_copybutton
+#distutils_enable_sphinx docs/source dev-python/sphinx-rtd-theme dev-python/myst-parser
+
+python_install_all() {
+ distutils-r1_python_install_all
+ mv "${ED}/usr/etc" "${ED}/etc" || die
+}
diff --git a/dev-python/ovs/Manifest b/dev-python/ovs/Manifest
index c90aa259ddd3..4eb688975582 100644
--- a/dev-python/ovs/Manifest
+++ b/dev-python/ovs/Manifest
@@ -1,2 +1 @@
-DIST ovs-2.13.3.tar.gz 102736 BLAKE2B ee6f10a41bf46534d3963360a63a0a39a7ffbed6de468894c566c7dd2ee0c645cf6f8f211bfbcda70f03b4204e396fc0b081f457df9d27f93fc40d158bb641b8 SHA512 9f73dc383f7b717000d6d1f8f2f9114ee2be2457c9b352de68c01c1f9075c39ab4a9ef14fe67083bf1da1872240204eb2642fbf7b5a871a5ad044191e0774d88
DIST ovs-2.17.1.post1.tar.gz 104766 BLAKE2B e1cb471f7f3f3b8461292c79ee5318a36d70c2ee55947bfa0274277e36514d20ad9293cb8c602e0b2c82a590397869fe51f52ee2579255bb8163014d58dccaf7 SHA512 772e7b4768f1e7fe1f2be700a0eb6bc539459e4c70432c45e7f7877b060f4c845eaa5a974f2b2264af621f5f43b97da30a9fe344a53904ec0008393689e6b895
diff --git a/dev-python/ovs/ovs-2.13.3.ebuild b/dev-python/ovs/ovs-2.13.3.ebuild
deleted file mode 100644
index 51f471e5fb41..000000000000
--- a/dev-python/ovs/ovs-2.13.3.ebuild
+++ /dev/null
@@ -1,19 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-
-inherit distutils-r1
-
-DESCRIPTION="OVS bindings for python"
-HOMEPAGE="https://github.com/openvswitch/ovs/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 ~arm64 x86"
-
-RDEPEND="dev-python/sortedcontainers[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}
- dev-python/setuptools[${PYTHON_USEDEP}]"
diff --git a/dev-python/python-gnupg/python-gnupg-0.5.0.ebuild b/dev-python/python-gnupg/python-gnupg-0.5.0.ebuild
index 285b776741df..3326ae392287 100644
--- a/dev-python/python-gnupg/python-gnupg-0.5.0.ebuild
+++ b/dev-python/python-gnupg/python-gnupg-0.5.0.ebuild
@@ -13,7 +13,7 @@ HOMEPAGE="https://docs.red-dove.com/python-gnupg/"
SRC_URI="https://github.com/vsajip/python-gnupg/releases/download/${PV}/${P}.tar.gz"
SRC_URI+=" verify-sig? ( https://github.com/vsajip/python-gnupg/releases/download/${PV}/${P}.tar.gz.asc )"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~loong ppc ppc64 ~riscv sparc x86"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~loong ~m68k ppc ppc64 ~riscv sparc x86"
LICENSE="BSD"
SLOT="0"
diff --git a/dev-python/spotipy/Manifest b/dev-python/spotipy/Manifest
index 6264f1545b46..7f08287826ac 100644
--- a/dev-python/spotipy/Manifest
+++ b/dev-python/spotipy/Manifest
@@ -1 +1,2 @@
DIST spotipy-2.22.1.gh.tar.gz 111228 BLAKE2B df75cce406d59c9de3e4c836309262d61f7f1249761d3172be13033512944e69a56ca67f16b55e4736f760b74d3ebd8f384225ce9309a5fc1bd8c93be4099069 SHA512 d8c5871dd606e3335656fb55fa042d8c91c72a4c7d62a584bd407a7546184996694c67d499f908fc7049e406c548269286de6cba17064f0385adba3661b34c3b
+DIST spotipy-2.23.0.gh.tar.gz 112399 BLAKE2B 5510ce35624c561df61fffee78f211dfa91ff8d5b3dc15d37c96a51bf830e67aac9c6a0787c71715bee17a3ba91b84766c1ecec37d5775f2182617f2b74a2cb3 SHA512 52955fa3365d5153f19f60874ce8e96910ac8db783499e0e2ef2ab31127277844e24a045115dc522dd7b7535f7907de56da87e02a63b94ee7506b75c1e108e9b
diff --git a/dev-python/spotipy/spotipy-2.23.0.ebuild b/dev-python/spotipy/spotipy-2.23.0.ebuild
new file mode 100644
index 000000000000..958749863dcf
--- /dev/null
+++ b/dev-python/spotipy/spotipy-2.23.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="A lightweight Python library for the Spotify Web API"
+HOMEPAGE="
+ https://spotipy.readthedocs.io/
+ https://github.com/spotipy-dev/spotipy/
+ https://pypi.org/project/spotipy/
+"
+SRC_URI="
+ https://github.com/spotipy-dev/spotipy/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+IUSE="examples"
+
+RDEPEND="
+ dev-python/redis[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Internet
+ tests/unit/test_oauth.py::TestSpotifyClientCredentials::test_spotify_client_credentials_get_access_token
+)
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ use examples && dodoc -r examples
+}
diff --git a/dev-python/sqlalchemy/Manifest b/dev-python/sqlalchemy/Manifest
index da7a5daf447b..9469efbd2a4f 100644
--- a/dev-python/sqlalchemy/Manifest
+++ b/dev-python/sqlalchemy/Manifest
@@ -2,3 +2,4 @@ DIST SQLAlchemy-1.4.47.tar.gz 8559530 BLAKE2B 051e6f0114162f5525e756d87622814640
DIST SQLAlchemy-2.0.4.tar.gz 9250723 BLAKE2B c3cec648a527e7beb349b2bbb6924a4e794a1fe4d1563ba7573afdc28ed24fce149c5b3c08fa419e85713b68080b2a805e1999e312f59ed7fae55f9aee6a966e SHA512 098004c594ff00a47a66850b0661f673e4d7a6f168fce72ca37a65ecfe04b3d291b9a6fb9393f7671c9a7c5c128ab6ba2035d18cef28736df1207e689cd8c412
DIST SQLAlchemy-2.0.7.tar.gz 9298301 BLAKE2B abedb2805cad489e68fdec383eaf1bc65ef92777230317911a9351fce7c9159f746629197f7443a37495c23cd8d3cdd1015d8417f00227f28b8af1468a8327ef SHA512 94f5c4262741986456a9de435a81d9df8d5eed16417cc8c07321cb28030c99ea347c33a2054f2961e3b794bd5f75da19b0879675e2c1106fc5030382895caf75
DIST SQLAlchemy-2.0.8.tar.gz 9314926 BLAKE2B bc54ba9be9f68cc2995bf5328cc5268e0890262efb162a94bd36713f3f3d2f1ddffa95b4d1d8ab140f865c2788d1a913f6c104f21809a695faa132686d77cf3c SHA512 66408768ff702b16ad1365931b254d72976313a3369a74e5a81326d83540ee274805b01d449010ea8e8750312e26dc91aad3b724c4cbdf037e7314b204f6908a
+DIST SQLAlchemy-2.0.9.tar.gz 9318327 BLAKE2B 6fd734aad4a7c281164a6a4188066d5e14996a80c849cc18b979d2acaa4bd24ed66c8ddc37de2c08759e8c0a9b36a0009bdb48123c6a50fc5c8c382a1e5df4ae SHA512 e81193ac254280feee542ad61a28540d62441d0471bdcf00cce20d3730ad956414de23ccce6d3bf8781c0970c3c825407b909d645d58c9657c38ba68716dfe54
diff --git a/dev-python/sqlalchemy/sqlalchemy-2.0.9.ebuild b/dev-python/sqlalchemy/sqlalchemy-2.0.9.ebuild
new file mode 100644
index 000000000000..c137b9e59e98
--- /dev/null
+++ b/dev-python/sqlalchemy/sqlalchemy-2.0.9.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+PYTHON_REQ_USE="sqlite?"
+
+inherit distutils-r1 optfeature pypi
+
+MY_PN="SQLAlchemy"
+DESCRIPTION="Python SQL toolkit and Object Relational Mapper"
+HOMEPAGE="
+ https://www.sqlalchemy.org/
+ https://pypi.org/project/SQLAlchemy/
+ https://github.com/sqlalchemy/sqlalchemy/
+"
+SRC_URI="$(pypi_sdist_url --no-normalize "${MY_PN}")"
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="examples +sqlite test"
+
+RDEPEND="
+ >=dev-python/typing-extensions-4.2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/greenlet/d' setup.cfg || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ test/ext/mypy/test_mypy_plugin_py3k.py
+ # hardcode call counts specific to Python versions
+ test/aaa_profiling
+ )
+ local EPYTEST_DESELECT=(
+ # warning tests are unreliable
+ test/base/test_warnings.py
+ # TODO
+ test/orm/test_versioning.py::ServerVersioningTest_sqlite+pysqlite_3_40_1::test_sql_expr_w_mods_bump
+ test/sql/test_resultset.py::CursorResultTest_sqlite+pysqlite_3_41_0::test_pickle_rows_other_process
+ )
+ local sqlite_version=$(sqlite3 --version | cut -d' ' -f1)
+ [[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
+ test/ext/test_associationproxy.py::ProxyHybridTest::test_msg_fails_on_cls_access
+ test/ext/test_associationproxy.py::DictOfTupleUpdateTest::test_update_multi_elem_varg
+ test/ext/test_associationproxy.py::DictOfTupleUpdateTest::test_update_one_elem_varg
+ test/engine/test_processors.py::PyDateProcessorTest::test_date_invalid_string
+ test/engine/test_processors.py::PyDateProcessorTest::test_datetime_invalid_string
+ test/engine/test_processors.py::PyDateProcessorTest::test_time_invalid_string
+ "test/dialect/test_sqlite.py::TestTypes_sqlite+pysqlite_${sqlite_version//./_}::test_cant_parse_datetime_message"
+ "test/dialect/test_suite.py::ReturningGuardsTest_sqlite+pysqlite_${sqlite_version//./_}"::test_{delete,insert,update}_single
+ test/base/test_utils.py::ImmutableDictTest::test_pep584
+ )
+ if ! has_version "dev-python/greenlet[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ test/ext/asyncio/test_engine_py3k.py::TextSyncDBAPI::test_sync_driver_execution
+ test/ext/asyncio/test_engine_py3k.py::TextSyncDBAPI::test_sync_driver_run_sync
+ "test/engine/test_pool.py::PoolEventsTest::test_checkin_event_gc[False-True]"
+ "test/engine/test_pool.py::PoolEventsTest::test_checkin_event_gc[True-True]"
+ "test/engine/test_pool.py::QueuePoolTest::test_userspace_disconnectionerror_weakref_finalizer[True-_exclusions0]"
+ )
+ fi
+
+ # upstream's test suite is horribly hacky; it relies on disabling
+ # the warnings plugin and turning warnings into errors; this also
+ # means that any DeprecationWarnings from third-party plugins cause
+ # everything to explode
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=
+ # upstream automagically depends on xdist when it is importable
+ if has_version "dev-python/pytest-xdist[${PYTHON_USEDEP}]"; then
+ PYTEST_PLUGINS+=xdist.plugin
+ fi
+ epytest
+}
+
+python_install_all() {
+ if use examples; then
+ docompress -x "/usr/share/doc/${PF}/examples"
+ dodoc -r examples
+ fi
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature "asyncio support" dev-python/greenlet
+ optfeature "MySQL support" \
+ dev-python/mysqlclient \
+ dev-python/pymysql \
+ dev-python/mysql-connector-python
+ optfeature "postgresql support" dev-python/psycopg:2
+}
diff --git a/dev-python/trove-classifiers/trove-classifiers-2023.3.9.ebuild b/dev-python/trove-classifiers/trove-classifiers-2023.3.9.ebuild
index 66c337e61fe4..646a867b61c5 100644
--- a/dev-python/trove-classifiers/trove-classifiers-2023.3.9.ebuild
+++ b/dev-python/trove-classifiers/trove-classifiers-2023.3.9.ebuild
@@ -17,7 +17,7 @@ HOMEPAGE="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~sparc ~x86"
BDEPEND="
dev-python/calver[${PYTHON_USEDEP}]